Package com.fasterxml.jackson.dataformat.xml.ser

## Enum ToXmlGenerator.Feature

- java.lang.Object
- - java.lang.Enum<ToXmlGenerator.Feature>
  - - com.fasterxml.jackson.dataformat.xml.ser.ToXmlGenerator.Feature

All Implemented Interfaces:
  `com.fasterxml.jackson.core.FormatFeature`, `java.io.Serializable`, `java.lang.Comparable<ToXmlGenerator.Feature>`

Enclosing class:
  ToXmlGenerator

    public static enum ToXmlGenerator.Feature
    extends java.lang.Enum<ToXmlGenerator.Feature>
    implements com.fasterxml.jackson.core.FormatFeature

Enumeration that defines all togglable extra XML-specific features

### Enum Constant Summary

Enum Constants
`WRITE_NULLS_AS_XSI_NIL` Feature that controls whether serialization of Java `null` values adds XML attribute of `xsi:nil`, as defined by XML Schema (see this article for details) or not.
`WRITE_XML_1_1` Feature that controls whether output should be done as XML 1.1; if so, certain aspects may differ from default (1.0) processing: for example, XML declaration will be automatically added (regardless of setting `WRITE_XML_DECLARATION`) as this is required for reader to know to use 1.1 compliant handling.
`WRITE_XML_DECLARATION` Feature that controls whether XML declaration should be written before when generator is initialized (true) or not (false)

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
`boolean` `enabledByDefault()`
`boolean` `enabledIn​(int flags)`
`int` `getMask()`
`static ToXmlGenerator.Feature` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ToXmlGenerator.Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WRITE_XML_DECLARATION

    public static final ToXmlGenerator.Feature WRITE_XML_DECLARATION

Feature that controls whether XML declaration should be written before when generator is initialized (true) or not (false)

#### WRITE_XML_1_1

    public static final ToXmlGenerator.Feature WRITE_XML_1_1

Feature that controls whether output should be done as XML 1.1; if so, certain aspects may differ from default (1.0) processing: for example, XML declaration will be automatically added (regardless of setting `WRITE_XML_DECLARATION`) as this is required for reader to know to use 1.1 compliant handling. XML 1.1 can be used to allow quoted control characters (Ascii codes 0 through 31) as well as additional linefeeds and name characters.

#### WRITE_NULLS_AS_XSI_NIL

    public static final ToXmlGenerator.Feature WRITE_NULLS_AS_XSI_NIL

Feature that controls whether serialization of Java `null` values adds XML attribute of `xsi:nil`, as defined by XML Schema (see this article for details) or not. If enabled, `xsi:nil` attribute will be added to the empty element; if disabled, it will not.

Feature is disabled by default for backwards compatibility.

Since:
  2.10

### Method Detail

#### values

    public static ToXmlGenerator.Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ToXmlGenerator.Feature c : ToXmlGenerator.Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ToXmlGenerator.Feature valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### collectDefaults

    public static int collectDefaults()

Method that calculates bit set (flags) of all features that are enabled by default.

#### enabledByDefault

    public boolean enabledByDefault()

Specified by:
  `enabledByDefault` in interface `com.fasterxml.jackson.core.FormatFeature`

#### getMask

    public int getMask()

Specified by:
  `getMask` in interface `com.fasterxml.jackson.core.FormatFeature`

#### enabledIn

    public boolean enabledIn​(int flags)

Specified by:
  `enabledIn` in interface `com.fasterxml.jackson.core.FormatFeature`